# Class GenericsExample<A,B,C>

java.lang.Object
com.ryanharter.auto.value.gson.example.GenericsExample<A,B,C>

public abstract class GenericsExample<A,B,C> extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`GenericsExample.Builder<A,B,C>`

## Constructor Summary

Constructors
Constructor
Description
`GenericsExample()`

## Method Summary

Modifier and Type
Method
Description
`abstract A`
`a()`
`abstract B`
`b()`
`static <A,B,C> GenericsExample.Builder<A,B,C>`
`builder()`
`abstract C`
`c()`
`static <A,B,C> com.google.gson.TypeAdapter<GenericsExample<A,B,C>>`
`typeAdapter(com.google.gson.Gson gson, Type[] types)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GenericsExample

public GenericsExample()

## Method Details

### a

public abstract A a()

### b

public abstract B b()

### c

public abstract C c()

### builder

public static <A,B,C> GenericsExample.Builder<A,B,C> builder()

### typeAdapter

public static <A,B,C> com.google.gson.TypeAdapter<GenericsExample<A,B,C>> typeAdapter(com.google.gson.Gson gson, Type[] types)